#
#	Module:			makefile
#
#					Copyright (C) Altera Corporation 1998-2000
#
#	Description:	Makefile for JAM Bytecode Player
#

OBJS = \
	jbistub.obj \
	jbimain.obj \
	jbicomp.obj \
	jbijtag.obj

.c.obj :
	cl /W4 /c /ML /DWINNT /DDOS=1 /DWINDOWS=2 /DPORT=2 $<

jbi.exe : $(OBJS)
	link $(OBJS) advapi32.lib /out:jbi.exe

# Dependencies:

jbistub.obj : \
	jbistub.c \
	jbiexprt.h

jbimain.obj : \
	jbimain.c \
	jbiexprt.h \
	jbijtag.h \
	jbicomp.h

jamcomp.obj : \
	jamcomp.c \
	jbiexprt.h \
	jbicomp.h

jbijtag.obj : \
	jbijtag.c \
	jbiexprt.h \
	jbijtag.h
